%define module XML-Parser-Lite-Tree
%define name	perl-%{module}
%define	version	0.06
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lightweight XML tree builder
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.gz
BuildRequires:  perl(SOAP::Lite)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a singleton class for parsing XML into a tree structure. How does this
differ from other XML tree generators? By using XML::Parser::Lite, which is a
pure perl XML parser. Using this module you can tree-ify simple XML without
having to compile any C.

Each node contains a "type" key, one of "root", "tag" and "data". "root" is the
document root, and only contains an array ref "children". "tag" represents a
normal tag, and contains an array ref "children", a hash ref "attributes" and a
string "name". "data" nodes contain only a "content" string.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
# duplicated from SOAP::Lite
rm -f %{buildroot}%{perl_vendorlib}/XML/Parser/Lite.pm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/XML
%{_mandir}/*/*



%changelog
* Wed Sep 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2009.0
+ Revision: 279960
- drop file duplicated with perl-SOAP-Lite

* Mon Sep 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
+ Revision: 278241
- update to new version 0.06

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.0
+ Revision: 272258
- new version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-7mdv2009.0
+ Revision: 258877
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-6mdv2009.0
+ Revision: 246775
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2008.1
+ Revision: 166689
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.03-4mdv2008.0
+ Revision: 23509
- rebuild


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Sat Sep 10 2005 Pascal Terjan <pterjan@mandriva.org> 0.03-2mdk
- BuildRequires perl-SOAP-Lite (for make test)
- mkrel

* Sat Aug 20 2005 Pascal Terjan <pterjan@mandriva.org> 0.03-1mdk
- First version of the package

